import pygame
pygame.init()

def lock(value, min, max):
    if value < min:
        return min
    if value > max:
        return max
    return value

def round(x, base=5):
    return base * int(x/base)

def short_line(p1, p2, length):
    (x1, y1) = p1
    (x2, y2) = p2
    # https://stackoverflow.com/questions/31757970/how-to-draw-dynamic-line-segments-of-the-same-length
    # Get the total length of the line
    start_len = distance_to(p1, p2)

    # figure out how much of the line you want to draw as a fraction
    ratio = length / start_len

    # Adjust your second point
    x2 = x1 + (x2 - x1) * ratio
    y2 = y1 + (y2 - y1) * ratio

    return (x1, y1), (x2, y2)

def distance_to(p1, p2):
    (x1, y1) = p1
    (x2, y2) = p2
    # Get the total length of the line
    length = ((x2 - x1) ** 2 + (y2 - y1) ** 2) ** 0.5
    return length

message_font = pygame.font.Font(pygame.font.get_default_font(), 30)
